Detailed reference of prototypes, properties and methods available in the
Javascript environment of your Helma web applications.

Adds useful methods to the JavaScript Array type.
To use this optional module, its repository needs to be added to the application, for example by calling app.addRepository('modules/core/Array.js')
Methods
Array. indexOf(val)
Return the first index position of a value contained in an array, or -1 if it isn't contained.
parameters

Object | val | the value to check

returns

int | the index of the first occurence of val, or -1

Array. lastIndexOf(val)
return the last index position of a value contained in an array, or -1 if it isn't contained.
parameters

Object | val | the value to check

returns

int | the index of the first occurence of val, or -1

Array. contains(val)
check if an array passed as argument contains a specific value (start from end of array)
parameters

Object | val | the value to check

returns

boolean | true if the value is contained

Array. union(array1)
Retrieve the union set of a bunch of arrays
parameters

Array | array1 |

returns

Array | the union set

Array. intersection(array1)
Retrieve the intersection set of a bunch of arrays
parameters

Array | array1 |

returns

Array | the intersection set

Tue, 25 Nov 2008 16:50:09 GMT.

### core framework

- global
- app (application)
- req (request)
- res (response)
- session
- path
- root
- HopObject
- User
- File
- FtpClient
- Image
- Mail
- Remote
- Xml
- DatabaseObject
- MimePart
- Skin
- Object

### optional modules

- Array extensions
- Date extensions
- Number extensions
- Object extensions
- String extensions
- HopObject extensions
- global macros
- macro filters
- JSON methods
- helma.Aspects
- helma.Chart
- helma.Color
- helma.Database
- helma.File
- helma.Ftp
- helma.Group
- helma.Html
- helma.Http
- helma.Image
- helma.Mail
- helma.Search
- helma.Skin
- helma.Ssh
- helma.Url
- helma.Zip
- jala.BitTorrent
- jala.Captcha
- jala.Date
- jala.db
- jala.DnsClient
- jala.Form
- jala.History
- jala HopObject extensions
- jala.HtmlDocument
- jala.I18n
- jala.ImageFilter
- jala.IndexManager
- jala.ListRenderer
- jala.Mp3
- jala.PodcastWriter
- jala.RemoteContent
- jala.Rss20Writer
- jala.Utilities
- jala.XmlRpcRequest
- jala.XmlWriter

### java libraries

- browse docjar